using System;
using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface IWebSites
    {
        Int32 GetWebSum();
        Int32 GetDayRank(int webid);

        bool ClearAll(int webid);
        bool Add(Model.WebSites model);
        bool Edit(Model.WebSites model);
        bool Delete(int id);
        /// <summary>
        /// 修改站点的统计图标显示样式
        /// </summary>
        /// <param name="webid"></param>
        /// <returns></returns>
        bool UpdateShowStype(Model.WebSites model);

        Int32 GetViewSum(string webid);
        //
        Model.WebSites Get(int webid);
        //
        IList<Model.WebSites> GetList(string key);
        IList<Model.WebSites> GetWebSitesList();
        IList<Model.WebSites> GetWebsitesInPower(string nPower);
        /// <summary>
        /// 获取该采集服务器的所有站点
        /// </summary>
        /// <param name="gatherId">采集服务器</param>
        /// <returns></returns>
        [System.Obsolete("The method is obsolete,will be remove", true)]
        IList<Model.WebSites> GetListByGatherId(string gatherId);
    }
}
